Page MenuHomePhabricator

Project Architecture with inheritance (implementation)
Closed, ResolvedPublic35 Story Points

FurryMyad created this task.Aug 8 2017, 5:15 AM
FurryMyad moved this task from Backlog to Doing on the Eflete (Sprint W32) board.
rimmed added a subscriber: rimmed.Aug 9 2017, 1:19 AM

What actually you implement?

Simply
atm, implement groups and parts (as many as possible of parts) with full stack of attribute with a little bit of architectural changings

  1. we get rid of filesystem and saving routines for now
  2. make it (attributes) observable (that's mah job)
  3. thinking about getting rid of that hilarious EXPAND_ATTRIBUTE in group (why macro_x, it makes entire code unreadable)
  4. fill up some content (for now what is planned: groups their attributes, ability to work with them property and parts, or at least a part of those parts)

further plans:
after that, it would be possible to work on UI and do stuff with property and so on.

FurryMyad added a comment.EditedAug 10 2017, 2:57 AM

So far, the following tasks appears based on light implementation of architecture (all tasks mostly for next week and lightly for this):

  1. Now combine history with project (few spinners of project attribute's property, history_genlist, undo, redo, open change on start dragging the spinner, close change on stop dragging it)
  2. Fill up with more Parts and States and their attributes
  3. GetCode which will make edc source code based on Project (mostly based on 2)
  4. Widget for property (text:text but when click on right text it turn into control to fill up new data and so on)
  5. Property_Genlist (based on 4)
  6. Keep working on current project architecture (get rid of enums and define X that is EVERYWHERE)

I am still investigating architecture stuff more deeper (since I disagree with @an.kroitor vision) but current architecture of attributes + project is already enough to develop furtherly.
In fact those 1-5 points can be resolved and changing how project looks wont affect them (we know what we need and how to deal with it, that's blackbox, how is it implemented is a different case)

Also 7. Group/Part/States inheritance and checking it up

t.naumenko closed this task as Resolved.Oct 25 2017, 4:47 AM